{ config, pkgs, ... }:
{
  # Configure greetd for login directly to Sway
  services.greetd = let
    startSway = pkgs.writeScript "startsway" ''
      if ${pkgs.pciutils}/bin/lspci -k | grep "in use: nvidia" &> /dev/null; then
        export LIBVA_DRIVER_NAME=nvidia
        export GBM_BACKEND=nvidia-drm
        export __GLX_VENDOR_LIBRARY_NAME=nvidia
      else
        :
      fi

      export XDG_CURRENT_DESKTOP=sway
      export QT_QPA_PLATFORM="wayland;xcb"

      sway --unsupported-gpu
    '';
  in {
    enable = config.system.desktop.enable;
    restart = true;
    settings = {
      terminal = {
        vt = 2;
        switch = true;
      };
      default_session = {
        command = "${startSway}";
        user = "jimbo";
      };
    };
  };
}
